<?php 
/**
 * Createing an about us pannel for customizer
 */
// START ABOUT SECTION  
    $wp_customize->add_section(
        'luzuk_premium_callus_section',
        array(
            'title' => __( 'Call Us Section', 'luzuk Themes Premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'luzuk_premium_callus_section_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'luzuk_premium_callus_section_disable',
            array(
                'settings'      => 'luzuk_premium_callus_section_disable',
                'section'       => 'luzuk_premium_callus_section',
                'label'         => __( 'Counter Section', 'luzuk Themes Premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk Themes Premium' ),
                    'off' => __( 'No', 'luzuk Themes Premium' )
                ),
            )
        )
    );


 backgroundManager($wp_customize, 'callus', 'luzuk_premium_callus_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

  
lzCustomLable($wp_customize, 'callus_padding', 'luzuk_premium_callus_section', ' Section Padding');

$wp_customize->add_setting(
    'callus_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '9em', 'luzuk Themes Premium' )
    )
);
$wp_customize->add_control(
    'callus_toppadding',
    array(
        'settings'      => 'callus_toppadding',
        'section'       => 'luzuk_premium_callus_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk Themes Premium' )
    )
);
$wp_customize->add_setting(
    'callus_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk Themes Premium' )
    )
);
$wp_customize->add_control(
    'callus_bottompadding',
    array(
        'settings'      => 'callus_bottompadding',
        'section'       => 'luzuk_premium_callus_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk Themes Premium' )
    )
);


  
lzCustomLable($wp_customize, 'callus_bxclr', 'luzuk_premium_callus_section', ' Section Image BG Color');

addColorPalatOption($wp_customize, 'luzuk_calusimgbg1Clr', 'luzuk_premium_callus_section', 'Section Image BG Color 1', '#111944');

addColorPalatOption($wp_customize, 'luzuk_calusimgbg2Clr', 'luzuk_premium_callus_section', 'Section Image BG Color 2', '#111944');

$wp_customize->add_setting(
    'callusinn_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'callusinn_image_heading',
        array(
            'settings'      => 'callusinn_image_heading',
            'section'       => 'luzuk_premium_callus_section',
            'label'         => __( 'Left Side Image', 'luzuk-premium' ),
        )
    )
);


    $wp_customize->add_setting(
        'callusinn_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'callusinn_image',
            array(
                'section' => 'luzuk_premium_callus_section',
                'settings' => 'callusinn_image',
                'description' => __('Recommended Image Size: 430X500px', 'luzuk-premium')
            )
        )
    );


    $wp_customize->add_setting(
        'luzuk_counter_title_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_counter_title_heading',
            array(
                'settings'      => 'luzuk_counter_title_heading',
                'section'       => 'luzuk_premium_callus_section',
                'label'         => __( 'Section Title & Text', 'luzuk Themes Premium' ),
            )
        )
    );


    $wp_customize->add_setting(
        'luzuk_counter_title',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'CALL US NOW', 'luzuk Themes Premium' )
        )
    );
    $wp_customize->add_control(
        'luzuk_counter_title',
        array(
            'settings'      => 'luzuk_counter_title',
            'section'       => 'luzuk_premium_callus_section',
            'type'          => 'text',
            'label'         => __( 'Section Title', 'luzuk Themes Premium' )
        )
    );


// Heading color
addColorPalatOption($wp_customize, 'luzuk_calustitleClr', 'luzuk_premium_callus_section', 'Section Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_calustitleicnClr', 'luzuk_premium_callus_section', 'Section Title Icon Color', '#F4B504');

    $wp_customize->add_setting(
        'luzuk_counter_subtitle',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'FOR IMMEDIATE RESPONCE', 'luzuk Themes Premium' )
        )
    );
    $wp_customize->add_control(
        'luzuk_counter_subtitle',
        array(
            'settings'      => 'luzuk_counter_subtitle',
            'section'       => 'luzuk_premium_callus_section',
            'type'          => 'text',
            'label'         => __( 'Section Text', 'luzuk Themes Premium' )
        )
    );

// Sub Text color
addColorPalatOption($wp_customize, 'luzuk_calustxtClr', 'luzuk_premium_callus_section', 'Section Text Color', '#fff');

    $wp_customize->add_setting(
        'luzuk_our_boxsubtext',
        array(
            'sanitize_callback'=>'luzuk_sanitize_text',
            'default'=> __('111-22-333-244', 'luzuk Themes Premium')
        )
    );
    $wp_customize->add_control(
        'luzuk_our_boxsubtext',
        array(
            'settings' =>'luzuk_our_boxsubtext',
            'section' => 'luzuk_premium_callus_section',
            'type'=> 'text',
            'label'=> __('Phone Number', 'luzuk Themes Premium')
        )
    );


 
addColorPalatOption($wp_customize, 'luzuk_calusphnumClr', 'luzuk_premium_callus_section', 'Phone Number Color', '#F4B504');

addColorPalatOption($wp_customize, 'luzuk_calusphnumhvClr', 'luzuk_premium_callus_section', 'Phone Number Hover Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_calusphnumbrdClr', 'luzuk_premium_callus_section', 'Phone Number Border Color', '#F4B504');

$wp_customize->add_setting(
        'support_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'support_image_heading',
            array(
                'settings'      => 'support_image_heading',
                'section'       => 'luzuk_premium_callus_section',
                'label'         => __( 'Right Side Image', 'luzuk-premium' ),
            )
        )
    );

      $wp_customize->add_setting(
        'luzuk_support_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'luzuk_support_image',
            array(
                'section' => 'luzuk_premium_callus_section',
                'settings' => 'luzuk_support_image',
                'description' => __('Recommended Image Size: 370X300px', 'luzuk-premium')
            )
        )
    );


addColorPalatOption($wp_customize, 'luzuk_calusRimgbg1Clr', 'luzuk_premium_callus_section', 'Image Bg 1 Color', '#F4B504');

addColorPalatOption($wp_customize, 'luzuk_calusRimgbg2Clr', 'luzuk_premium_callus_section', 'Image Bg 2 Color', '#e1e1e1');

